Subject: bug#66744: 30.0.50; Emacs crashes when re-dumping into the same dump file another Emacs instance is using

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Oct 2023 21:18:25 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 26 Oct 2023 18:32:23 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: [email-masked]
> >> From: Gerd Möllmann <[email-masked]>
> >> Date: Thu, 26 Oct 2023 17:45:49 +0200
> >> 
> >> The linux man page for mmap says, according to Google,
> >> 
> >>   MAP_PRIVATE
> >>        ...
> >>       It is unspecified whether changes made to the file
> >>       after the mmap() call are visible in the mapped region.
> >> 
> >> So, if the changes made to the dump file in step 3 are visible in the
> >> mmaped dump file that Emacs from step 2 uses, that would be a bit
> >> suboptimal :-).
> >
> > Emacs on GNU/Linux doesn't use mmap, we stopped doing this many years
> > ago.
> 
> Ok, but I must admit that I don't see how that is done in pdumper.c.

Then maybe I don't understand what bothers you.  What are the "changes
made to the dump file in step 3" to which you allude?  AFRAIU, step 3
simply loads the dump file, it doesn't change the file.  What did I
miss?